Uploaded image for project: 'Red Hat CodeReady Studio (devstudio)'
  1. Red Hat CodeReady Studio (devstudio)
  2. JBDS-3430

Creating a AngularJS project from scratch fails with an error installing tern

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Closed (View Workflow)
    • Priority: Major
    • Resolution: Rejected
    • Affects Version/s: 9.0.0.Alpha2
    • Fix Version/s: 9.0.0.Beta1
    • Component/s: build
    • Labels:
      None
    • Docs QE Status:
      NEW
    • Target Release:

      Description

      The error is:

      Your original request has been modified.
      "JBoss Tools Java Standard Tools Tern.java Adapter" is already installed, so an update will be performed instead.
      Cannot complete the install because of a conflicting dependency.
      Software being installed: JBoss Tools Java Standard Tools Tern.java Adapter 3.7.0.Alpha2-v20150417-0104-B13 (org.jboss.tools.jst.jsdt.feature.feature.group 3.7.0.Alpha2-v20150417-0104-B13)
      Software currently installed: JBoss Developer Studio (Branded Product) 9.0.0.Alpha2-v20150405-1144-B2918 (com.jboss.devstudio.core.package 9.0.0.Alpha2-v20150405-1144-B2918)
      Only one of the following can be installed at once:
      JBoss Tools Java Standard Tools - Tern Project Adapter 3.7.0.Alpha2-v20150322-0547-B822 (org.jboss.tools.jst.jsdt 3.7.0.Alpha2-v20150322-0547-B822)
      JBoss Tools Java Standard Tools - Tern Project Adapter 3.7.0.Alpha2-v20150417-0104-B13 (org.jboss.tools.jst.jsdt 3.7.0.Alpha2-v20150417-0104-B13)
      Cannot satisfy dependency:
      From: JBoss Developer Studio (Core Features) 9.0.0.Alpha2-v20150405-1144-B2918 (com.jboss.devstudio.core.feature.feature.group 9.0.0.Alpha2-v20150405-1144-B2918)
      To: org.jboss.tools.jst.jsdt.feature.feature.group [3.7.0.Alpha2-v20150322-0547-B822]
      Cannot satisfy dependency:
      From: JBoss Developer Studio (Branded Product) 9.0.0.Alpha2-v20150405-1144-B2918 (com.jboss.devstudio.core.package 9.0.0.Alpha2-v20150405-1144-B2918)
      To: com.jboss.devstudio.core.feature.feature.group [9.0.0.Alpha2-v20150405-1144-B2918]
      Cannot satisfy dependency:
      From: JBoss Tools Java Standard Tools Tern.java Adapter 3.7.0.Alpha2-v20150322-0547-B822 (org.jboss.tools.jst.jsdt.feature.feature.group 3.7.0.Alpha2-v20150322-0547-B822)
      To: org.jboss.tools.jst.jsdt [3.7.0.Alpha2-v20150322-0547-B822]
      Cannot satisfy dependency:
      From: JBoss Tools Java Standard Tools Tern.java Adapter 3.7.0.Alpha2-v20150417-0104-B13 (org.jboss.tools.jst.jsdt.feature.feature.group 3.7.0.Alpha2-v20150417-0104-B13)
      To: org.jboss.tools.jst.jsdt [3.7.0.Alpha2-v20150417-0104-B13]

        Attachments

          Activity

            People

            Assignee:
            nickboldt Nick Boldt
            Reporter:
            ldimaggio Len DiMaggio
            Votes:
            0 Vote for this issue
            Watchers:
            2 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved: